basePath: /
host: 127.0.0.1:33040
info:
  contact: {}
  description: OMC Service Interface Information - Internal Use Only
  title: OMC Swagger API
  version: 1.0.8
paths:
  /:
    get:
      consumes:
      - application/json
      description: Root Route
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      summary: Root Route
      tags:
      - common
  /captchaImage:
    get:
      consumes:
      - application/json
      description: Get CAPTCHA
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Get CAPTCHA
      tags:
      - common
  /chart/graph:
    get:
      consumes:
      - application/json
      description: Getting Relationship Map Data
      parameters:
      - description: Group
        in: query
        name: group
        required: true
        type: string
      - description: Type
        enum:
        - node
        - edge
        - combo
        in: query
        name: type
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Getting Relationship Map Data
      tags:
      - chart
  /chart/graph/:
    post:
      consumes:
      - application/json
      description: Saving Relationship Diagram Data
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Saving Relationship Diagram Data
      tags:
      - chart
  /chart/graph/{group}:
    delete:
      consumes:
      - application/json
      description: Deleting Relationship Diagram Data
      parameters:
      - description: Group
        in: path
        name: group
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Deleting Relationship Diagram Data
      tags:
      - chart
  /chart/graph/groups:
    get:
      consumes:
      - application/json
      description: Get relationship graph group name
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Get relationship graph group name
      tags:
      - chart
  /file/chunkCheck:
    post:
      consumes:
      - application/json
      description: Slice file checking
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Slice file checking
      tags:
      - common/file
  /file/chunkMerge:
    post:
      consumes:
      - application/json
      description: Slice file merge
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Slice file merge
      tags:
      - common/file
  /file/chunkUpload:
    post:
      consumes:
      - multipart/form-data
      description: Sliced file upload
      parameters:
      - description: The file to upload.
        in: formData
        name: file
        required: true
        type: file
      - description: Slice Marker
        in: formData
        name: identifier
        required: true
        type: string
      - description: Slice No.
        in: formData
        name: index
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Sliced file upload
      tags:
      - common/file
  /file/upload:
    post:
      consumes:
      - multipart/form-data
      description: Upload a file, interface param use <fileName>
      parameters:
      - description: The file to upload.
        in: formData
        name: file
        required: true
        type: file
      - description: 'subpath, eg: default or common'
        enum:
        - default
        - common
        in: formData
        name: subPath
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Upload a file
      tags:
      - common/file
  /getInfo:
    get:
      consumes:
      - application/json
      description: Login User Information
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Login User Information
      tags:
      - common/authorization
  /getRouters:
    get:
      consumes:
      - application/json
      description: Login User Routing Information
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Login User Routing Information
      tags:
      - common/authorization
  /login:
    post:
      consumes:
      - application/json
      description: System Login
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      summary: System Login
      tags:
      - common/authorization
  /logout:
    post:
      consumes:
      - application/json
      description: System Logout
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: System Logout
      tags:
      - common/authorization
  /monitor/cache:
    get:
      consumes:
      - application/json
      description: Cache Service Information
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Cache Service Information
      tags:
      - monitor/cache
  /monitor/load:
    get:
      consumes:
      - application/json
      description: Resource monitoring information loading
      parameters:
      - default: all
        description: Data Type
        enum:
        - all
        - load
        - cpu
        - memory
        - io
        - network
        in: query
        name: type
        required: true
        type: string
      - default: 1738771200000
        description: StartTime, timestamp milliseconds
        in: query
        name: startTime
        required: true
        type: number
      - default: 1738810051253
        description: EndTime, timestamp milliseconds
        in: query
        name: endTime
        required: true
        type: number
      - default: '#'
        description: 'NE Type, Currently none Default #'
        in: query
        name: neType
        type: string
      - default: '#'
        description: 'NE ID, Currently none Default #'
        in: query
        name: neId
        type: string
      - description: Name, Data Type valid for networ and io
        in: query
        name: name
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Resource monitoring information loading
      tags:
      - monitor
  /monitor/online/list:
    get:
      consumes:
      - application/json
      description: System Online User List
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: System Online User List
      tags:
      - monitor/online
  /monitor/system-info:
    get:
      consumes:
      - application/json
      description: Server Information
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Server Information
      tags:
      - monitor
  /ne/action/files:
    get:
      consumes:
      - application/json
      description: List of files on the network element side
      parameters:
      - default: UPF
        description: NE Type
        enum:
        - IMS
        - AMF
        - AUSF
        - UDM
        - SMF
        - PCF
        - NSSF
        - NRF
        - UPF
        - MME
        - CBC
        - OMC
        - SGWC
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - default: /var/log
        description: file path
        in: query
        name: path
        required: true
        type: string
      - default: 1
        description: pageNum
        in: query
        name: pageNum
        required: true
        type: number
      - default: 10
        description: pageSize
        in: query
        name: pageSize
        required: true
        type: number
      - default: upf
        description: search prefix
        in: query
        name: search
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: List of files on the network element side
      tags:
      - network_element/action
  /ne/action/pullDirZip:
    get:
      consumes:
      - application/json
      description: Get directories compressed to ZIP from the network element to the
        local area
      parameters:
      - default: UPF
        description: NE Type
        enum:
        - IMS
        - AMF
        - AUSF
        - UDM
        - SMF
        - PCF
        - NSSF
        - NRF
        - UPF
        - MME
        - CBC
        - OMC
        - SGWC
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - default: /var/log
        description: dir path
        in: query
        name: path
        required: true
        type: string
      - default: false
        description: Delete Temp File
        in: query
        name: delTemp
        type: boolean
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Get directories compressed to ZIP from the network element to the local
        area
      tags:
      - network_element/action
  /ne/action/pullFile:
    get:
      consumes:
      - application/json
      description: Getting files from the network element to the local
      parameters:
      - default: UPF
        description: NE Type
        enum:
        - IMS
        - AMF
        - AUSF
        - UDM
        - SMF
        - PCF
        - NSSF
        - NRF
        - UPF
        - MME
        - CBC
        - OMC
        - SGWC
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - default: /var/log
        description: dir path
        in: query
        name: path
        required: true
        type: string
      - description: file name
        in: query
        name: fileName
        required: true
        type: string
      - default: false
        description: Delete Temp File
        in: query
        name: delTemp
        type: boolean
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Getting files from the network element to the local
      tags:
      - network_element/action
  /ne/action/pushFile:
    post:
      consumes:
      - application/json
      description: Sending files from local to network elements
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Sending files from local to network elements
      tags:
      - network_element/action
  /ne/action/service:
    put:
      consumes:
      - application/json
      description: Network element service operation
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Network element service operation
      tags:
      - network_element/action
  /ne/action/viewFile:
    get:
      consumes:
      - application/json
      description: Viewing the contents of a file on the network element side
      parameters:
      - default: UPF
        description: NE Type
        enum:
        - IMS
        - AMF
        - AUSF
        - UDM
        - SMF
        - PCF
        - NSSF
        - NRF
        - UPF
        - MME
        - CBC
        - OMC
        - SGWC
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - default: /var/log
        description: file path
        in: query
        name: path
        required: true
        type: string
      - description: file name
        in: query
        name: fileName
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Viewing the contents of a file on the network element side
      tags:
      - network_element/action
  /ne/config/data:
    delete:
      consumes:
      - application/json
      description: Network element parameter configuration data deletion (array)
      parameters:
      - description: NE Type
        enum:
        - IMS
        - AMF
        - AUSF
        - UDM
        - SMF
        - PCF
        - NSSF
        - NRF
        - UPF
        - MME
        - CBC
        - OMC
        - SGWC
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - description: Available attributes, based on querying the list of attributes
        in: query
        name: paramName
        required: true
        type: string
      - description: Array index
        in: query
        name: loc
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Network element parameter configuration data deletion (array)
      tags:
      - network_element/config
    get:
      consumes:
      - application/json
      description: Network Element Parameter Configuration Data Information
      parameters:
      - description: NE Type
        enum:
        - IMS
        - AMF
        - AUSF
        - UDM
        - SMF
        - PCF
        - NSSF
        - NRF
        - UPF
        - MME
        - CBC
        - OMC
        - SGWC
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - description: Available attributes, based on querying the list of attributes
        in: query
        name: paramName
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Network Element Parameter Configuration Data Information
      tags:
      - network_element/config
    post:
      consumes:
      - application/json
      description: Network element parameter configuration data added (array)
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Network element parameter configuration data added (array)
      tags:
      - network_element/config
    put:
      consumes:
      - application/json
      description: Network element parameter configuration data modification
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Network element parameter configuration data modification
      tags:
      - network_element/config
  /ne/config/list/{neType}:
    get:
      consumes:
      - application/json
      description: Network Element Parameter Configuration Available Attribute Values
        List Specify Network Element Type All Unpaged
      parameters:
      - description: NE Type
        enum:
        - IMS
        - AMF
        - AUSF
        - UDM
        - SMF
        - PCF
        - NSSF
        - NRF
        - UPF
        - MME
        - CBC
        - OMC
        - SGWC
        in: path
        name: neType
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Network Element Parameter Configuration Available Attribute Values
        List Specify Network Element Type All Unpaged
      tags:
      - network_element/config
  /ne/host/authorizedBySSH:
    post:
      consumes:
      - application/json
      description: Network element host SSH method of authorization for password-free
        sending
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Network element host SSH method of authorization for password-free
        sending
      tags:
      - network_element/host
  /ne/host/checkBySSH:
    post:
      consumes:
      - application/json
      description: Checking the server environment by SSH method of Net Element Hosting
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Checking the server environment by SSH method of Net Element Hosting
      tags:
      - network_element/host
  /ne/host/cmd:
    post:
      consumes:
      - application/json
      description: The network element host sends the command
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: The network element host sends the command
      tags:
      - network_element/host
  /ne/host/test:
    post:
      consumes:
      - application/json
      description: Network element host test connection
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Network element host test connection
      tags:
      - network_element/host
  /ne/info:
    post:
      consumes:
      - application/json
      description: Network element information addition
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Network element information addition
      tags:
      - network_element/info
    put:
      consumes:
      - application/json
      description: Network element information modification
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Network element information modification
      tags:
      - network_element/info
  /ne/info/{value}:
    delete:
      consumes:
      - application/json
      description: Network element information deletion
      parameters:
      - description: Row ID, multiple separated by a , sign
        in: path
        name: value
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Network element information deletion
      tags:
      - network_element/info
    get:
      consumes:
      - application/json
      description: Network element information
      parameters:
      - description: Row ID
        in: path
        name: value
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Network element information
      tags:
      - network_element/info
  /ne/info/byTypeAndID:
    get:
      consumes:
      - application/json
      description: Network element neType and neID queries
      parameters:
      - description: NE Type
        enum:
        - IMS
        - AMF
        - AUSF
        - UDM
        - SMF
        - PCF
        - NSSF
        - NRF
        - UPF
        - MME
        - CBC
        - OMC
        - SGWC
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Network element neType and neID queries
      tags:
      - network_element/info
  /ne/info/list:
    get:
      consumes:
      - application/json
      description: Network element information list
      parameters:
      - description: The result carries the state of the network element
        in: query
        name: bandStatus
        type: boolean
      - description: NE ID
        in: query
        name: neId
        type: string
      - description: Ne Type
        in: query
        name: neType
        type: string
      - default: 1
        description: pageNum
        in: query
        name: pageNum
        required: true
        type: number
      - default: 10
        description: pageSize
        in: query
        name: pageSize
        required: true
        type: number
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Network element information list
      tags:
      - network_element/info
  /ne/info/listAll:
    get:
      consumes:
      - application/json
      description: The list of network element information is all unpaginated
      parameters:
      - description: NE Type
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - description: With status information
        in: query
        name: bandStatus
        required: true
        type: boolean
      - description: With host information
        in: query
        name: bandHost
        required: true
        type: boolean
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: The list of network element information is all unpaginated
      tags:
      - network_element/info
  /ne/info/state:
    get:
      consumes:
      - application/json
      description: Network element information state
      parameters:
      - description: NE Type
        enum:
        - IMS
        - AMF
        - AUSF
        - UDM
        - SMF
        - PCF
        - NSSF
        - NRF
        - UPF
        - MME
        - CBC
        - OMC
        - SGWC
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Network element information state
      tags:
      - network_element/info
  /ne/license/byTypeAndID:
    get:
      consumes:
      - application/json
      description: Network element neType and neID queries
      parameters:
      - description: NE Type
        enum:
        - IMS
        - AMF
        - AUSF
        - UDM
        - SMF
        - PCF
        - NSSF
        - NRF
        - UPF
        - MME
        - CBC
        - OMC
        - SGWC
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Network element neType and neID queries
      tags:
      - network_element/license
  /ne/license/change:
    post:
      consumes:
      - application/json
      description: Network element authorization activation status
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Network element authorization activation status
      tags:
      - network_element/license
  /ne/license/code:
    get:
      consumes:
      - application/json
      description: Network Element License Activation License Application Code
      parameters:
      - description: NE Type
        enum:
        - IMS
        - AMF
        - AUSF
        - UDM
        - SMF
        - PCF
        - NSSF
        - NRF
        - UPF
        - MME
        - CBC
        - OMC
        - SGWC
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Network Element License Activation License Application Code
      tags:
      - network_element/license
  /ne/license/list:
    get:
      consumes:
      - application/json
      description: Net Element License Activation List
      parameters:
      - description: NE Type
        enum:
        - IMS
        - AMF
        - AUSF
        - UDM
        - SMF
        - PCF
        - NSSF
        - NRF
        - UPF
        - MME
        - CBC
        - OMC
        - SGWC
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Net Element License Activation List
      tags:
      - network_element/license
  /ne/license/state:
    get:
      consumes:
      - application/json
      description: Network element authorization activation status
      parameters:
      - description: NE Type
        enum:
        - IMS
        - AMF
        - AUSF
        - UDM
        - SMF
        - PCF
        - NSSF
        - NRF
        - UPF
        - MME
        - CBC
        - OMC
        - SGWC
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Network element authorization activation status
      tags:
      - network_element/license
  /ne/software/list:
    get:
      consumes:
      - application/json
      description: List of Network Element Software Packages
      parameters:
      - description: NE Type
        enum:
        - IMS
        - AMF
        - AUSF
        - UDM
        - SMF
        - PCF
        - NSSF
        - NRF
        - UPF
        - MME
        - CBC
        - OMC
        - SGWC
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: List of Network Element Software Packages
      tags:
      - network_element/software
  /ne/software/newNeVersion:
    post:
      consumes:
      - application/json
      description: Net Element package set to Net Element new version
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Net Element package set to Net Element new version
      tags:
      - network_element/software
  /ne/version/operate:
    post:
      consumes:
      - application/json
      description: Network element version operation
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Network element version operation
      tags:
      - network_element/version
  /neData/amf/nb/list:
    get:
      consumes:
      - application/json
      description: Access Base Station Information List
      parameters:
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - description: Base Station ID
        in: query
        name: id
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Access Base Station Information List
      tags:
      - network_data/amf
  /neData/amf/nb/list-cfg:
    get:
      consumes:
      - application/json
      description: Access to the base station status information list
      parameters:
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Access to the base station status information list
      tags:
      - network_data/amf
  /neData/amf/ue/{ueIds}:
    delete:
      consumes:
      - application/json
      description: UE Session Deletion
      parameters:
      - description: list data id, multiple separated by a , sign
        in: path
        name: ueIds
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UE Session Deletion
      tags:
      - network_data/amf
  /neData/amf/ue/export:
    post:
      consumes:
      - application/json
      description: UE Session List Export
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UE Session List Export
      tags:
      - network_data/amf
  /neData/amf/ue/list:
    get:
      consumes:
      - application/json
      description: UE Session List
      parameters:
      - description: NE Type only AMF
        enum:
        - AMF
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - description: imsi
        in: query
        name: imsi
        type: string
      - default: 1
        description: pageNum
        in: query
        name: pageNum
        required: true
        type: number
      - default: 10
        description: pageSize
        in: query
        name: pageSize
        required: true
        type: number
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UE Session List
      tags:
      - network_data/amf
  /neData/ims/cdr/{cdrIds}:
    delete:
      consumes:
      - application/json
      description: CDR Session Delete
      parameters:
      - description: list data id, multiple separated by a , sign
        in: path
        name: cdrIds
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: CDR Session Delete
      tags:
      - network_data/ims
  /neData/ims/cdr/export:
    post:
      consumes:
      - application/json
      description: CDR Session List Export
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: CDR Session List Export
      tags:
      - network_data/ims
  /neData/ims/cdr/list:
    get:
      consumes:
      - application/json
      description: CDR Session List
      parameters:
      - description: NE Type only IMS
        enum:
        - IMS
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - description: callerParty
        in: query
        name: callerParty
        type: string
      - description: calledParty
        in: query
        name: calledParty
        type: string
      - default: 1
        description: pageNum
        in: query
        name: pageNum
        required: true
        type: number
      - default: 10
        description: pageSize
        in: query
        name: pageSize
        required: true
        type: number
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: CDR Session List
      tags:
      - network_data/ims
  /neData/ims/session/list:
    get:
      consumes:
      - application/json
      description: Online session user list information
      parameters:
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - description: imsi
        in: query
        name: imsi
        type: string
      - description: msisdn
        in: query
        name: msisdn
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Online session user list information
      tags:
      - network_data/ims
  /neData/ims/session/num:
    get:
      consumes:
      - application/json
      description: Number of online session users
      parameters:
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Number of online session users
      tags:
      - network_data/ims
  /neData/kpi/data:
    get:
      consumes:
      - application/json
      description: Access to statistical data
      parameters:
      - default: AMF
        description: NE Type
        enum:
        - IMS
        - AMF
        - AUSF
        - UDM
        - SMF
        - PCF
        - NSSF
        - NRF
        - UPF
        - MME
        - CBC
        - OMC
        - SGWC
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - default: 1729162507596
        description: Start time (timestamped milliseconds)
        in: query
        name: startTime
        required: true
        type: number
      - default: 1729164187611
        description: End time (timestamped milliseconds)
        in: query
        name: endTime
        required: true
        type: number
      - default: 60
        description: interval
        enum:
        - 5
        - 10
        - 15
        - 30
        - 60
        - 300
        - 600
        - 900
        - 1800
        - 3600
        in: query
        name: interval
        required: true
        type: number
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Access to statistical data
      tags:
      - network_data/kpi
  /neData/kpi/title:
    get:
      consumes:
      - application/json
      description: Get Statistical Headings
      parameters:
      - default: AMF
        description: NE Type
        enum:
        - IMS
        - AMF
        - AUSF
        - UDM
        - SMF
        - PCF
        - NSSF
        - NRF
        - UPF
        - MME
        - CBC
        - OMC
        - SGWC
        in: query
        name: neType
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Get Statistical Headings
      tags:
      - network_data/kpi
  /neData/mme/nb/list:
    get:
      consumes:
      - application/json
      description: Access Base Station Information List
      parameters:
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - description: Base Station ID
        in: query
        name: id
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Access Base Station Information List
      tags:
      - network_data/mme
  /neData/mme/nb/list-cfg:
    get:
      consumes:
      - application/json
      description: Access to the base station status information list
      parameters:
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Access to the base station status information list
      tags:
      - network_data/mme
  /neData/mme/ue/{ueIds}:
    delete:
      consumes:
      - application/json
      description: UE Session Deletion
      parameters:
      - description: list data id, multiple separated by a , sign
        in: path
        name: ueIds
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UE Session Deletion
      tags:
      - network_data/mme
  /neData/mme/ue/export:
    post:
      consumes:
      - application/json
      description: UE Session List Export
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UE Session List Export
      tags:
      - network_data/mme
  /neData/mme/ue/list:
    get:
      consumes:
      - application/json
      description: UE Session List
      parameters:
      - description: NE Type only MME
        enum:
        - MME
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - description: imsi
        in: query
        name: imsi
        type: string
      - default: 1
        description: pageNum
        in: query
        name: pageNum
        required: true
        type: number
      - default: 10
        description: pageSize
        in: query
        name: pageSize
        required: true
        type: number
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UE Session List
      tags:
      - network_data/mme
  /neData/sgwc/cdr/{cdrIds}:
    delete:
      consumes:
      - application/json
      description: CDR Session Delete
      parameters:
      - description: list data id, multiple separated by a , sign
        in: path
        name: cdrIds
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: CDR Session Delete
      tags:
      - network_data/sgwc
  /neData/sgwc/cdr/export:
    post:
      consumes:
      - application/json
      description: CDR Session List Export
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: CDR Session List Export
      tags:
      - network_data/sgwc
  /neData/sgwc/cdr/list:
    get:
      consumes:
      - application/json
      description: CDR Session List
      parameters:
      - description: NE Type only SGWC
        enum:
        - SGWC
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - description: imsi
        in: query
        name: imsi
        type: string
      - description: msisdn
        in: query
        name: msisdn
        type: string
      - default: 1
        description: pageNum
        in: query
        name: pageNum
        required: true
        type: number
      - default: 10
        description: pageSize
        in: query
        name: pageSize
        required: true
        type: number
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: CDR Session List
      tags:
      - network_data/sgwc
  /neData/smf/cdr/{cdrIds}:
    delete:
      consumes:
      - application/json
      description: CDR Session Delete
      parameters:
      - description: list data id, multiple separated by a , sign
        in: path
        name: cdrIds
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: CDR Session Delete
      tags:
      - network_data/smf
  /neData/smf/cdr/export:
    post:
      consumes:
      - application/json
      description: CDR Session List Export
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: CDR Session List Export
      tags:
      - network_data/smf
  /neData/smf/cdr/list:
    get:
      consumes:
      - application/json
      description: CDR Session List
      parameters:
      - description: NE Type only SMF
        enum:
        - SMF
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - description: subscriberID is IMSI
        in: query
        name: subscriberID
        type: string
      - default: 1
        description: pageNum
        in: query
        name: pageNum
        required: true
        type: number
      - default: 10
        description: pageSize
        in: query
        name: pageSize
        required: true
        type: number
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: CDR Session List
      tags:
      - network_data/smf
  /neData/smf/session/list:
    get:
      consumes:
      - application/json
      description: Online session user list information
      parameters:
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - description: imsi
        in: query
        name: imsi
        type: string
      - description: msisdn
        in: query
        name: msisdn
        type: string
      - description: upstate
        in: query
        name: upstate
        type: string
      - default: "50"
        description: pageNum
        in: query
        name: pageNum
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Online session user list information
      tags:
      - network_data/smf
  /neData/smf/sub/num:
    get:
      consumes:
      - application/json
      description: Number of online session users
      parameters:
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Number of online session users
      tags:
      - network_data/smf
  /neData/smsc/cdr/{cdrIds}:
    delete:
      consumes:
      - application/json
      description: CDR Session Delete
      parameters:
      - description: list data id, multiple separated by a , sign
        in: path
        name: cdrIds
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: CDR Session Delete
      tags:
      - network_data/smsc
  /neData/smsc/cdr/export:
    post:
      consumes:
      - application/json
      description: CDR Session List Export
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: CDR Session List Export
      tags:
      - network_data/smsc
  /neData/smsc/cdr/list:
    get:
      consumes:
      - application/json
      description: CDR Session List
      parameters:
      - description: NE Type only SMSC
        enum:
        - SMSC
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - description: callerParty
        in: query
        name: callerParty
        type: string
      - description: calledParty
        in: query
        name: calledParty
        type: string
      - default: 1
        description: pageNum
        in: query
        name: pageNum
        required: true
        type: number
      - default: 10
        description: pageSize
        in: query
        name: pageSize
        required: true
        type: number
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: CDR Session List
      tags:
      - network_data/smsc
  /neData/udm/auth/{neId}:
    post:
      consumes:
      - application/json
      description: UDM Authentication User Added
      parameters:
      - default: "001"
        description: NE ID
        in: path
        name: neId
        required: true
        type: string
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UDM Authentication User Added
      tags:
      - network_data/udm/auth
    put:
      consumes:
      - application/json
      description: UDM Authenticated User Modification
      parameters:
      - default: "001"
        description: NE ID
        in: path
        name: neId
        required: true
        type: string
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UDM Authenticated User Modification
      tags:
      - network_data/udm/auth
  /neData/udm/auth/{neId}/{imsi}/{num}:
    delete:
      consumes:
      - application/json
      description: UDM Authentication User Batch Deletion
      parameters:
      - default: "001"
        description: NE ID
        in: path
        name: neId
        required: true
        type: string
      - description: IMSI
        in: path
        name: imsi
        required: true
        type: string
      - description: Number of releases, value includes start imsi
        in: path
        name: num
        required: true
        type: number
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UDM Authentication User Batch Deletion
      tags:
      - network_data/udm/auth
  /neData/udm/auth/{neId}/{value}:
    delete:
      consumes:
      - application/json
      description: UDM Authenticated User Deletion
      parameters:
      - default: "001"
        description: NE ID
        in: path
        name: neId
        required: true
        type: string
      - description: IMSI, multiple separated by a , sign
        in: path
        name: value
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UDM Authenticated User Deletion
      tags:
      - network_data/udm/auth
    get:
      consumes:
      - application/json
      description: UDM Authentication User Information
      parameters:
      - default: "001"
        description: NE ID
        in: path
        name: neId
        required: true
        type: string
      - description: IMSI
        in: path
        name: value
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UDM Authentication User Information
      tags:
      - network_data/udm/auth
    post:
      consumes:
      - application/json
      description: UDM Authentication User Batch Add
      parameters:
      - default: "001"
        description: NE ID
        in: path
        name: neId
        required: true
        type: string
      - description: Number of releases, value includes start imsi
        in: path
        name: value
        required: true
        type: number
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UDM Authentication User Batch Add
      tags:
      - network_data/udm/auth
  /neData/udm/auth/export:
    post:
      consumes:
      - application/json
      description: UDM Authenticated User Export
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UDM Authenticated User Export
      tags:
      - network_data/udm/auth
  /neData/udm/auth/import:
    post:
      consumes:
      - application/json
      description: UDM Authenticated User Import
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UDM Authenticated User Import
      tags:
      - network_data/udm/auth
  /neData/udm/auth/list:
    get:
      consumes:
      - application/json
      description: UDM Authentication User List
      parameters:
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - description: IMSI
        in: query
        name: imsi
        type: string
      - default: 1
        description: pageNum
        in: query
        name: pageNum
        required: true
        type: number
      - default: 10
        description: pageSize
        in: query
        name: pageSize
        required: true
        type: number
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UDM Authentication User List
      tags:
      - network_data/udm/auth
  /neData/udm/auth/resetData/{neId}:
    put:
      consumes:
      - application/json
      description: UDM Authentication User Reload Data
      parameters:
      - default: "001"
        description: NE ID
        in: path
        name: neId
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UDM Authentication User Reload Data
      tags:
      - network_data/udm/auth
  /neData/udm/sub/{neId}:
    post:
      consumes:
      - application/json
      description: UDM Subscriber User Added
      parameters:
      - default: "001"
        description: NE ID
        in: path
        name: neId
        required: true
        type: string
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UDM Subscriber User Added
      tags:
      - network_data/udm/sub
    put:
      consumes:
      - application/json
      description: UDM Subscriber User Modification
      parameters:
      - default: "001"
        description: NE ID
        in: path
        name: neId
        required: true
        type: string
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UDM Subscriber User Modification
      tags:
      - network_data/udm/sub
  /neData/udm/sub/{neId}/{imsi}/{num}:
    delete:
      consumes:
      - application/json
      description: UDM Subscriber User Batch Deletion
      parameters:
      - default: "001"
        description: NE ID
        in: path
        name: neId
        required: true
        type: string
      - description: IMSI
        in: path
        name: imsi
        required: true
        type: string
      - description: Number of releases, value includes start imsi
        in: path
        name: num
        required: true
        type: number
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UDM Subscriber User Batch Deletion
      tags:
      - network_data/udm/sub
  /neData/udm/sub/{neId}/{value}:
    delete:
      consumes:
      - application/json
      description: UDM Subscriber User Deletion
      parameters:
      - default: "001"
        description: NE ID
        in: path
        name: neId
        required: true
        type: string
      - description: IMSI, multiple separated by a , sign
        in: path
        name: value
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UDM Subscriber User Deletion
      tags:
      - network_data/udm/sub
    get:
      consumes:
      - application/json
      description: UDM Subscriber User Information
      parameters:
      - default: "001"
        description: NE ID
        in: path
        name: neId
        required: true
        type: string
      - description: IMSI
        in: path
        name: value
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UDM Subscriber User Information
      tags:
      - network_data/udm/sub
    post:
      consumes:
      - application/json
      description: UDM Subscriber User Batch Add
      parameters:
      - default: "001"
        description: NE ID
        in: path
        name: neId
        required: true
        type: string
      - default: 1
        description: Number of releases, value includes start imsi
        in: path
        name: value
        required: true
        type: number
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UDM Subscriber User Batch Add
      tags:
      - network_data/udm/sub
  /neData/udm/sub/export:
    post:
      consumes:
      - application/json
      description: UDM Subscriber User Export
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UDM Subscriber User Export
      tags:
      - network_data/udm/sub
  /neData/udm/sub/import:
    post:
      consumes:
      - application/json
      description: UDM Subscriber User Import
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UDM Subscriber User Import
      tags:
      - network_data/udm/sub
  /neData/udm/sub/list:
    get:
      consumes:
      - application/json
      description: UDM Subscriber User List
      parameters:
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - description: IMSI
        in: query
        name: imsi
        type: string
      - description: Msisdn
        in: query
        name: msisdn
        type: string
      - default: 1
        description: pageNum
        in: query
        name: pageNum
        required: true
        type: number
      - default: 10
        description: pageSize
        in: query
        name: pageSize
        required: true
        type: number
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UDM Subscriber User List
      tags:
      - network_data/udm/sub
  /neData/udm/sub/resetData/{neId}:
    put:
      consumes:
      - application/json
      description: UDM Subscriber User Reload Data
      parameters:
      - default: "001"
        description: NE ID
        in: path
        name: neId
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UDM Subscriber User Reload Data
      tags:
      - network_data/udm/sub
  /neData/upf/totalFlow:
    get:
      consumes:
      - application/json
      description: Total number of flows N3 upstream N6 downstream
      parameters:
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - description: Statistical time a few days before
        enum:
        - 0
        - 7
        - 30
        in: query
        name: day
        required: true
        type: number
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Total number of flows N3 upstream N6 downstream
      tags:
      - network_data/upf
  /sys-conf:
    get:
      consumes:
      - application/json
      description: Configuration information for the system
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      summary: Configuration information for the system
      tags:
      - common
  /system/config/list:
    get:
      consumes:
      - application/json
      description: Config Information List
      parameters:
      - description: configName
        in: query
        name: configName
        type: string
      - default: 1
        description: pageNum
        in: query
        name: pageNum
        required: true
        type: number
      - default: 10
        description: pageSize
        in: query
        name: pageSize
        required: true
        type: number
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Config Information List
      tags:
      - system/config
  /system/dept/list:
    get:
      consumes:
      - application/json
      description: Dept Information List
      parameters:
      - description: deptId
        in: query
        name: deptId
        type: string
      - description: parentId
        in: query
        name: parentId
        type: string
      - description: deptName
        in: query
        name: deptName
        type: string
      - description: status
        enum:
        - "0"
        - "1"
        in: query
        name: status
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Dept Information List
      tags:
      - system/dept
  /system/dict/data/list:
    get:
      consumes:
      - application/json
      description: Dictionary Data List
      parameters:
      - description: dictLabel
        in: query
        name: dictLabel
        type: string
      - default: 1
        description: pageNum
        in: query
        name: pageNum
        required: true
        type: number
      - default: 10
        description: pageSize
        in: query
        name: pageSize
        required: true
        type: number
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Dictionary Data List
      tags:
      - system/dict/data
  /system/dict/type/list:
    get:
      consumes:
      - application/json
      description: Dictionary Type List
      parameters:
      - description: dictName
        in: query
        name: dictName
        type: string
      - default: 1
        description: pageNum
        in: query
        name: pageNum
        required: true
        type: number
      - default: 10
        description: pageSize
        in: query
        name: pageSize
        required: true
        type: number
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Dictionary Type List
      tags:
      - system/dict/type
  /system/log/login/list:
    get:
      consumes:
      - application/json
      description: System Login Log List
      parameters:
      - description: userName
        in: query
        name: userName
        type: string
      - default: 1
        description: pageNum
        in: query
        name: pageNum
        required: true
        type: number
      - default: 10
        description: pageSize
        in: query
        name: pageSize
        required: true
        type: number
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: System Login Log List
      tags:
      - system/log/login
  /system/log/operate/list:
    get:
      consumes:
      - application/json
      description: System Operation Log List
      parameters:
      - description: title
        in: query
        name: title
        type: string
      - default: 1
        description: pageNum
        in: query
        name: pageNum
        required: true
        type: number
      - default: 10
        description: pageSize
        in: query
        name: pageSize
        required: true
        type: number
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: System Operation Log List
      tags:
      - system/log/operate
  /system/menu/list:
    get:
      consumes:
      - application/json
      description: Menu Information List
      parameters:
      - description: menuName
        in: query
        name: menuName
        type: string
      - description: status
        enum:
        - "0"
        - "1"
        in: query
        name: status
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Menu Information List
      tags:
      - system/menu
  /system/post/list:
    get:
      consumes:
      - application/json
      description: Post Information List
      parameters:
      - description: postName
        in: query
        name: postName
        type: string
      - default: 1
        description: pageNum
        in: query
        name: pageNum
        required: true
        type: number
      - default: 10
        description: pageSize
        in: query
        name: pageSize
        required: true
        type: number
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Post Information List
      tags:
      - system/post
  /system/role/list:
    get:
      consumes:
      - application/json
      description: Role Information List
      parameters:
      - description: roleName
        in: query
        name: roleName
        type: string
      - default: 1
        description: pageNum
        in: query
        name: pageNum
        required: true
        type: number
      - default: 10
        description: pageSize
        in: query
        name: pageSize
        required: true
        type: number
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Role Information List
      tags:
      - system/role
  /system/user/list:
    get:
      consumes:
      - application/json
      description: User Information List
      parameters:
      - description: userName
        in: query
        name: userName
        type: string
      - default: 1
        description: pageNum
        in: query
        name: pageNum
        required: true
        type: number
      - default: 10
        description: pageSize
        in: query
        name: pageSize
        required: true
        type: number
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: User Information List
      tags:
      - system/user
  /system/user/profile:
    get:
      consumes:
      - application/json
      description: Personal Information
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Personal Information
      tags:
      - system/user/profile
    put:
      consumes:
      - application/json
      description: Personal Information Modification
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Personal Information Modification
      tags:
      - system/user/profile
  /system/user/profile/avatar:
    post:
      consumes:
      - multipart/form-data
      description: Personal avatar upload
      parameters:
      - description: The file to upload.
        in: formData
        name: file
        required: true
        type: file
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Personal avatar upload
      tags:
      - system/user/profile
  /system/user/profile/updatePwd:
    put:
      consumes:
      - application/json
      description: Personal Reset Password
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Personal Reset Password
      tags:
      - system/user/profile
  /tool/iperf/i:
    post:
      consumes:
      - application/json
      description: iperf software installation
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: iperf software installation
      tags:
      - tool/iperf
  /tool/iperf/run:
    get:
      consumes:
      - application/json
      description: (ws://) iperf software running
      parameters:
      - description: NE Type
        enum:
        - IMS
        - AMF
        - AUSF
        - UDM
        - SMF
        - PCF
        - NSSF
        - NRF
        - UPF
        - MME
        - CBC
        - OMC
        - SGWC
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - default: 120
        description: Terminal line characters
        in: query
        name: cols
        type: number
      - default: 40
        description: Terminal display lines
        in: query
        name: rows
        type: number
      - description: Authorization
        in: query
        name: access_token
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: (ws://) iperf software running
      tags:
      - tool/iperf
  /tool/iperf/v:
    get:
      consumes:
      - application/json
      description: iperf version information
      parameters:
      - description: NE Type
        enum:
        - IMS
        - AMF
        - AUSF
        - UDM
        - SMF
        - PCF
        - NSSF
        - NRF
        - UPF
        - MME
        - CBC
        - OMC
        - SGWC
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - description: Version
        enum:
        - V2
        - V3
        in: query
        name: version
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: iperf version information
      tags:
      - tool/iperf
  /tool/ping:
    get:
      consumes:
      - application/json
      description: (ws://) Ping for Local UNIX running
      parameters:
      - description: Authorization
        in: query
        name: access_token
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: (ws://) Ping for Local UNIX running
      tags:
      - tool/ping
    post:
      consumes:
      - application/json
      description: Ping for Basic Information Running
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Ping for Basic Information Running
      tags:
      - tool/ping
  /tool/ping/run:
    get:
      consumes:
      - application/json
      description: (ws://) Ping for UNIX runs on the network element side
      parameters:
      - description: NE Type
        enum:
        - IMS
        - AMF
        - AUSF
        - UDM
        - SMF
        - PCF
        - NSSF
        - NRF
        - UPF
        - MME
        - CBC
        - OMC
        - SGWC
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - default: 120
        description: Terminal line characters
        in: query
        name: cols
        type: number
      - default: 40
        description: Terminal display lines
        in: query
        name: rows
        type: number
      - description: Authorization
        in: query
        name: access_token
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: (ws://) Ping for UNIX runs on the network element side
      tags:
      - tool/ping
  /tool/ping/v:
    get:
      consumes:
      - application/json
      description: Ping for version information on the network element side
      parameters:
      - description: NE Type
        enum:
        - IMS
        - AMF
        - AUSF
        - UDM
        - SMF
        - PCF
        - NSSF
        - NRF
        - UPF
        - MME
        - CBC
        - OMC
        - SGWC
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Ping for version information on the network element side
      tags:
      - tool/ping
  /trace/tcpdump/start:
    post:
      consumes:
      - application/json
      description: Network Element Capture Packet PACP Start
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Network Element Capture Packet PACP Start
      tags:
      - trace/tcpdump
  /trace/tcpdump/stop:
    post:
      consumes:
      - application/json
      description: Network Element Capture Packet PACP Stop
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: Network Element Capture Packet PACP Stop
      tags:
      - trace/tcpdump
  /trace/tcpdump/upf:
    post:
      consumes:
      - application/json
      description: UPF Standard Edition Internal Grab Bag
      parameters:
      - description: Request Param
        in: body
        name: data
        required: true
        schema:
          type: object
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      security:
      - TokenAuth: []
      summary: UPF Standard Edition Internal Grab Bag
      tags:
      - trace/tcpdump
  /ws:
    get:
      consumes:
      - application/json
      description: (ws://) Generic
      parameters:
      - description: Subscribe to message groups, multiple separated by commas
        in: query
        name: subGroupID
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      summary: (ws://) Generic
      tags:
      - ws
  /ws/view:
    get:
      consumes:
      - application/json
      description: (ws://) Terminal Interactive File Content Viewing
      parameters:
      - description: NE Type
        enum:
        - IMS
        - AMF
        - AUSF
        - UDM
        - SMF
        - PCF
        - NSSF
        - NRF
        - UPF
        - MME
        - CBC
        - OMC
        - SGWC
        in: query
        name: neType
        required: true
        type: string
      - default: "001"
        description: NE ID
        in: query
        name: neId
        required: true
        type: string
      - default: 120
        description: Terminal line characters
        in: query
        name: cols
        type: number
      - default: 40
        description: Terminal display lines
        in: query
        name: rows
        type: number
      - description: Authorization
        in: query
        name: access_token
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Response Results
          schema:
            type: object
      summary: (ws://) Terminal Interactive File Content Viewing
      tags:
      - ws
schemes:
- http
- https
securityDefinitions:
  TokenAuth:
    description: Get the key through the common/authorization System Login, fill in
      content "Bearer <access_token>"
    in: header
    name: Authorization
    type: apiKey
swagger: "2.0"
tags:
- description: chart interface
  name: chart
- description: common interface
  name: common
- description: common authorization Interface
  name: common/authorization
- description: common file Interface
  name: common/file
- description: monitor interface
  name: monitor
- description: monitor cache interface
  name: monitor/cache
- description: monitor system user online interface
  name: monitor/online
- description: network data interface
  name: network_data
- description: network data kpi interface
  name: network_data/kpi
- description: network data amf interface
  name: network_data/amf
- description: network data ims interface
  name: network_data/ims
- description: network data mme interface
  name: network_data/mme
- description: network data sgwc interface
  name: network_data/sgwc
- description: network data smf interface
  name: network_data/smf
- description: network data smsc interface
  name: network_data/smsc
- description: network data udm authentication interface
  name: network_data/udm/auth
- description: network data udm subscriber interface
  name: network_data/udm/sub
- description: network data upf interface
  name: network_data/upf
- description: network element interface
  name: network_element
- description: network element operating interface
  name: network_element/action
- description: network element information interface
  name: network_element/info
- description: network element host interface
  name: network_element/host
- description: network element license interface
  name: network_element/license
- description: network element software interface
  name: network_element/software
- description: network element version interface
  name: network_element/version
- description: network element config interface
  name: network_element/config
- description: system interface
  name: system
- description: system config interface
  name: system/config
- description: system dept interface
  name: system/dept
- description: system dict data interface
  name: system/dict/data
- description: system dict type interface
  name: system/dict/type
- description: system log login interface
  name: system/log/login
- description: system log operate interface
  name: system/log/operate
- description: system menu interface
  name: system/menu
- description: system post interface
  name: system/post
- description: system role interface
  name: system/role
- description: system user interface
  name: system/user
- description: system user profile interface
  name: system/user/profile
- description: tool interface
  name: tool
- description: tool ping interface
  name: tool/ping
- description: tool iperf interface
  name: tool/iperf
- description: trace interface
  name: trace
- description: trace tcpdump interface
  name: trace/tcpdump
- description: ws interface
  name: ws
